Package twisted :: Package python :: Module plugin :: Class PlugIn

[frames | no frames]

## Class PlugIn

I am a Python module registered in a plugins.tml file.

Method Summary
| `__init__(self, name, module, **kw)`
| `__repr__(self)`
`int` | ``isLoaded`(self)` Check to see if the module for this plugin has been imported yet.
`ModuleType` | ``load`(self)` Load the module for this plugin.

Method Details

### isLoaded(self)

Check to see if the module for this plugin has been imported yet.

  Returns:
    A true value if the module for this plugin has been loaded, false otherwise.
    (type=`int`)

### load(self)

Load the module for this plugin.

  Returns:
    The module object that is loaded.
    (type=`ModuleType`)

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net